package com.mortals.xhx.module.doc.form.model;
import java.util.List;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.doc.form.model.vo.DocFormVo;

/**
* doc单实体对象
*
* @author zxfei
* @date 2021-10-16
*/

public class DocFormEntity extends DocFormVo {
    private static final long serialVersionUID = 1L;

    /**
    * 模板ID
    */
    private Long templateId;
    /**
    * 表单名称
    */
    private String formName;
    /**
    * 表单内容
    */
    private String formContent;
    /**
    * 备注
    */
    private String remark;


    public DocFormEntity(){}
    /**
    * 获取 模板ID
    * @return Long
    */
    public Long getTemplateId(){
        return templateId;
    }
    /**
    * 设置 模板ID
    * @param templateId
    */
    public void setTemplateId(Long templateId){
        this.templateId = templateId;
    }
    /**
    * 获取 表单名称
    * @return String
    */
    public String getFormName(){
        return formName;
    }
    /**
    * 设置 表单名称
    * @param formName
    */
    public void setFormName(String formName){
        this.formName = formName;
    }
    /**
    * 获取 表单内容
    * @return String
    */
    public String getFormContent(){
        return formContent;
    }
    /**
    * 设置 表单内容
    * @param formContent
    */
    public void setFormContent(String formContent){
        this.formContent = formContent;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }



    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DocFormEntity) {
            DocFormEntity tmp = (DocFormEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",templateId:").append(getTemplateId());
        sb.append(",formName:").append(getFormName());
        sb.append(",formContent:").append(getFormContent());
        sb.append(",remark:").append(getRemark());
        return sb.toString();
    }

    public void initAttrValue(){
            this.templateId = null;
            this.formName = null;
            this.formContent = null;
            this.remark = null;
    }
}